{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "df73a2c8",
   "metadata": {},
   "outputs": [],
   "source": [
    "from requests import get,post\n",
    "import time\n",
    "ip = \"http://band.hxzhxy.cn\"\n",
    "param = {\n",
    "    \"username\": \"zhongwei\",\n",
    "    \"password\": \"123456a\",\n",
    "    \"client_id\": \"client\",\n",
    "    \"grant_type\": \"password\",\n",
    "    \"client_secret\": \"123456\",\n",
    "}\n",
    "data = get(url=f\"http://band.hxzhxy.cn/oauth/token?username=zhongwei&password=123456a&client_id=client&grant_type=password&client_secret=123456\").json()\n",
    "token = data[\"access_token\"]\n",
    "header = {\n",
    "    \"content-type\": \"application/json\",\n",
    "    \"authorization\": f\"Bearer {token}\",\n",
    "}"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 15,
   "id": "d6bf26e0",
   "metadata": {},
   "outputs": [],
   "source": [
    "data = get(f\"https://band.hxzhxy.cn/lock/ark/listPages?areaId=15&dongId=22&tierId=47&arkName=&teamId=110&binding=&bindStu=&accredit=&screen=0&pageSize=500&pageNumber=0&orderDirection=asc&access_token={token}\").json()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 16,
   "id": "f2ea16c1",
   "metadata": {},
   "outputs": [],
   "source": [
    "待解绑柜子 = []\n",
    "for item in data[\"data\"][\"content\"]:\n",
    "    柜号 = int(item[\"arkName\"])\n",
    "    if 柜号 >= 4361:\n",
    "        待解绑柜子.append(item)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 18,
   "id": "de7086a0",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "{'lockNo': '1240740069', 'binding': 1, 'stuName': '段安泰', 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'stuId': 10807, 'serialNo': '3108435649', 'className': '导师7班', 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'gradeId': 129, 'arkRemark': None, 'arkName': '4361', 'gradeName': '2025级', 'areaName': '百仁校区', 'id': 4961, 'bindStu': 1, 'areaId': 15, 'stuNo': '25040050', 'tierName': '四楼', 'classId': 495}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'lockNo': '1240740818', 'teamName': '成都市泡桐树中学百仁分校', 'serialNo': '3108363937', 'className': '导师7班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'stuId': 10808, 'dongId': 22, 'stuName': '冉昊洋', 'gradeId': 129, 'arkRemark': None, 'arkName': '4362', 'gradeName': '2025级', 'stuNo': '25040216', 'areaName': '百仁校区', 'id': 4962, 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'classId': 495}\n",
      "{'lockNo': '1240740004', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'serialNo': '1617635220', 'className': '导师7班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'stuId': 10809, 'gradeId': 129, 'arkRemark': None, 'stuName': '王正豪', 'arkName': '4363', 'gradeName': '2025级', 'stuNo': '25040278', 'id': 4963, 'areaName': '百仁校区', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'classId': 495}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'stuName': '侯瑜浩言', 'className': '导师7班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'stuId': 10810, 'lockNo': '1240740099', 'gradeId': 129, 'arkRemark': None, 'arkName': '4364', 'gradeName': '2025级', 'serialNo': '1618323268', 'areaName': '百仁校区', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'classId': 495, 'stuNo': '25040092', 'id': 4964}\n",
      "{'lockNo': '1240740643', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'stuNo': '25040104', 'className': '导师7班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'stuName': '纪欣', 'stuId': 10811, 'gradeId': 129, 'arkRemark': None, 'serialNo': '1620281172', 'arkName': '4365', 'gradeName': '2025级', 'areaName': '百仁校区', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'classId': 495, 'id': 4965}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'stuNo': '25040301', 'stuId': 10812, 'className': '导师7班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'stuName': '向依凡', 'dongId': 22, 'gradeId': 129, 'arkRemark': None, 'serialNo': '1620684196', 'arkName': '4366', 'gradeName': '2025级', 'areaName': '百仁校区', 'bindStu': 1, 'lockNo': '1240740669', 'areaId': 15, 'id': 4966, 'tierName': '四楼', 'classId': 495}\n",
      "{'binding': 1, 'dongName': '教学楼', 'stuName': '曾子骁', 'regionName': '北区', 'regionId': 59, 'stuNo': '25040009', 'serialNo': '1617727796', 'arkName': '4367', 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师7班', 'teamId': 110, 'stuId': 10813, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'lockNo': '1240740493', 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'areaName': '百仁校区', 'bindStu': 1, 'id': 4967, 'areaId': 15, 'tierName': '四楼', 'classId': 495}\n",
      "{'serialNo': '3108360881', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'arkName': '4368', 'lockNo': '1240740719', 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师7班', 'teamId': 110, 'stuId': 10814, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'stuNo': '25040161', 'gradeId': 129, 'stuName': '廖家一', 'arkRemark': None, 'gradeName': '2025级', 'id': 4968, 'areaName': '百仁校区', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'classId': 495}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'arkName': '4369', 'className': '导师7班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'stuId': 10815, 'dongId': 22, 'gradeId': 129, 'arkRemark': None, 'lockNo': '1240740433', 'serialNo': '0022802396', 'gradeName': '2025级', 'stuName': '宋炎桁', 'id': 4969, 'areaName': '百仁校区', 'stuNo': '25040231', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'classId': 495}\n",
      "{'lockNo': '1240740384', 'arkName': '4370', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'stuNo': '25040320', 'className': '导师7班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'stuName': '徐子昂', 'dongId': 22, 'serialNo': '0022818812', 'gradeId': 129, 'stuId': 10816, 'arkRemark': None, 'gradeName': '2025级', 'id': 4970, 'areaName': '百仁校区', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'classId': 495}\n",
      "{'binding': 1, 'dongName': '教学楼', 'arkName': '4371', 'regionName': '北区', 'regionId': 59, 'lockNo': '1240740162', 'teamName': '成都市泡桐树中学百仁分校', 'stuNo': '25040047', 'className': '导师7班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'gradeId': 129, 'serialNo': '1620137620', 'arkRemark': None, 'stuId': 10817, 'id': 4971, 'gradeName': '2025级', 'areaName': '百仁校区', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'classId': 495, 'stuName': '董玥希'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'arkName': '4372', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师7班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'stuName': '程姿涵', 'serialNo': '1620136612', 'gradeId': 129, 'arkRemark': None, 'stuId': 10818, 'gradeName': '2025级', 'stuNo': '25040038', 'id': 4972, 'areaName': '百仁校区', 'lockNo': '1240740545', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'classId': 495}\n",
      "{'binding': 1, 'dongName': '教学楼', 'arkName': '4373', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'lockNo': '1240740710', 'className': '导师7班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'gradeId': 129, 'arkRemark': None, 'stuId': 10819, 'serialNo': '1618718660', 'gradeName': '2025级', 'stuNo': '25040059', 'id': 4973, 'areaName': '百仁校区', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'classId': 495, 'stuName': '高马玺娆'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'arkName': '4374', 'regionName': '北区', 'regionId': 59, 'stuNo': '25040206', 'teamName': '成都市泡桐树中学百仁分校', 'serialNo': '3108598785', 'className': '导师7班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'stuId': 10820, 'lockNo': '1240740890', 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'stuName': '聂文博', 'id': 4974, 'areaName': '百仁校区', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'classId': 495}\n",
      "{'teamName': None, 'lockNo': '1240740126', 'binding': 1, 'dongName': '教学楼', 'className': None, 'arkName': '4375', 'regionName': '北区', 'regionId': 59, 'classId': None, 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'id': 4975, 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'binding': 1, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'arkName': '4376', 'classId': None, 'teamId': 110, 'lockNo': '1240740854', 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'id': 4976, 'stuName': None, 'serialNo': None, 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'arkName': '4377', 'teamName': '成都市泡桐树中学百仁分校', 'stuNo': '25040224', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'serialNo': '1618188644', 'stuId': 10821, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'id': 4977, 'stuName': '沈佳萱', 'lockNo': '1240740492', 'gradeName': '2025级', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'serialNo': '1620000804', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'stuName': '程启恩', 'accredit': 1, 'tierId': 47, 'dongId': 22, 'lockNo': '1240740837', 'stuId': 10822, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'id': 4978, 'gradeName': '2025级', 'arkName': '4378', 'stuNo': '25040037', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'lockNo': '1240740445', 'binding': 1, 'dongName': '教学楼', 'stuName': '赵辰睿', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'stuNo': '25040383', 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'stuId': 10823, 'gradeId': 129, 'arkRemark': None, 'id': 4979, 'serialNo': '3108682065', 'gradeName': '2025级', 'arkName': '4379', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'lockNo': '1240740734', 'accredit': 1, 'tierId': 47, 'dongId': 22, 'stuNo': '25040082', 'classId': 496, 'gradeId': 129, 'serialNo': '1619003428', 'arkRemark': None, 'arkName': '4380', 'stuId': 10824, 'id': 4980, 'gradeName': '2025级', 'stuName': '何瑞航', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'stuName': '高一尘', 'teamId': 110, 'serialNo': '1618577636', 'stuNo': '25040063', 'accredit': 1, 'tierId': 47, 'dongId': 22, 'lockNo': '1240740275', 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'arkName': '4381', 'stuId': 10825, 'id': 4981, 'gradeName': '2025级', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'lockNo': '1240740714', 'dongId': 22, 'stuName': '王虹毅', 'serialNo': '1620959348', 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'arkName': '4382', 'id': 4982, 'stuId': 10826, 'gradeName': '2025级', 'stuNo': '25040256', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'lockNo': '1240740885', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'serialNo': '3108599633', 'teamId': 110, 'stuName': '陈虹宇', 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'arkName': '4383', 'id': 4983, 'stuId': 10827, 'gradeName': '2025级', 'stuNo': '25040014', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'id': 4984, 'gradeId': 129, 'stuName': '宋雯岩', 'arkRemark': None, 'serialNo': '1618594084', 'lockNo': '1240740258', 'stuId': 10828, 'arkName': '4384', 'gradeName': '2025级', 'areaName': '百仁校区', 'stuNo': '25040230', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'lockNo': '1240740442', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'stuName': '黄嘉晟', 'teamName': '成都市泡桐树中学百仁分校', 'stuNo': '25040100', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'id': 4985, 'classId': 496, 'serialNo': '3108609585', 'gradeId': 129, 'arkRemark': None, 'stuId': 10829, 'arkName': '4385', 'gradeName': '2025级', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'serialNo': '1620004132', 'accredit': 1, 'tierId': 47, 'dongId': 22, 'stuNo': '25040062', 'id': 4986, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'stuId': 10830, 'stuName': '高兴航', 'arkName': '4386', 'gradeName': '2025级', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'lockNo': '1240740548', 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'stuName': '朱梓铭', 'teamName': '成都市泡桐树中学百仁分校', 'stuNo': '25040402', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'id': 4987, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'lockNo': '1240740036', 'stuId': 10831, 'arkName': '4387', 'gradeName': '2025级', 'serialNo': '3108396305', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'serialNo': '1617481892', 'stuNo': '25040046', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'id': 4988, 'stuName': '丁柳月', 'arkName': '4388', 'gradeName': '2025级', 'stuId': 10832, 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'lockNo': '1240740306', 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'arkName': '4389', 'teamName': '成都市泡桐树中学百仁分校', 'stuNo': '25040346', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'id': 4989, 'lockNo': '1240740158', 'gradeName': '2025级', 'stuName': '易冉', 'serialNo': '0022683532', 'stuId': 10833, 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'arkName': '4390', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'stuNo': '25040129', 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'serialNo': '0022800236', 'arkRemark': None, 'id': 4990, 'lockNo': '1240740313', 'stuName': '李皓然', 'gradeName': '2025级', 'stuId': 10834, 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'arkName': '4391', 'binding': 1, 'dongName': '教学楼', 'serialNo': '1620010708', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'stuNo': '25040280', 'stuName': '王籽淇', 'lockNo': '1240740032', 'classId': 496, 'gradeId': 129, 'id': 4991, 'arkRemark': None, 'gradeName': '2025级', 'stuId': 10835, 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'arkName': '4392', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'stuName': '魏梓桐', 'teamId': 110, 'stuNo': '25040285', 'accredit': 1, 'id': 4992, 'tierId': 47, 'dongId': 22, 'serialNo': '1618999364', 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'stuId': 10836, 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'lockNo': '1240740823', 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'arkName': '4393', 'stuNo': '25040408', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'id': 4993, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'serialNo': '1619574580', 'gradeName': '2025级', 'lockNo': '1240740509', 'stuId': 10837, 'areaName': '百仁校区', 'stuName': '李宸宇', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'stuName': '卿朝梦', 'binding': 1, 'dongName': '教学楼', 'arkName': '4394', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'id': 4994, 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'serialNo': '3108390209', 'gradeName': '2025级', 'stuId': 10838, 'stuNo': '25040215', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'lockNo': '1240740804'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'arkName': '4395', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'id': 4995, 'teamId': 110, 'accredit': 1, 'tierId': 47, 'lockNo': '1240740779', 'dongId': 22, 'serialNo': '3108413777', 'stuName': '房凌羽', 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'stuId': 10839, 'areaName': '百仁校区', 'stuNo': '25040054', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'arkName': '4396', 'stuName': '秦晞晨', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'id': 4996, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'stuNo': '25040213', 'serialNo': '3108466433', 'areaName': '百仁校区', 'className': '导师8班', 'lockNo': '1240740701', 'bindStu': 1, 'areaId': 15, 'stuId': 10840, 'tierName': '四楼'}\n",
      "{'stuName': '孙瑜汐', 'binding': 1, 'serialNo': '0022678380', 'dongName': '教学楼', 'arkName': '4397', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'id': 4997, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'lockNo': '1240740410', 'gradeName': '2025级', 'stuNo': '25040236', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'stuId': 10841}\n",
      "{'stuNo': '25040190', 'lockNo': '1240740465', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'arkName': '4398', 'serialNo': '1617656244', 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'id': 4998, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'stuName': '罗偲毅', 'gradeName': '2025级', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼', 'stuId': 10842}\n",
      "{'lockNo': '1240740366', 'binding': 1, 'serialNo': '1620560164', 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'arkName': '4399', 'teamName': '成都市泡桐树中学百仁分校', 'stuNo': '25040201', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'id': 4999, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'stuName': '吕奕辰', 'tierName': '四楼', 'stuId': 10843}\n",
      "{'binding': 1, 'dongName': '教学楼', 'serialNo': '1617658292', 'regionName': '北区', 'regionId': 59, 'arkName': '4400', 'teamName': '成都市泡桐树中学百仁分校', 'id': 5000, 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'lockNo': '1240740154', 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'stuNo': '25040331', 'stuName': '杨晨希', 'areaName': '百仁校区', 'stuId': 10844, 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'stuName': '代一辰', 'regionName': '北区', 'regionId': 59, 'arkName': '4401', 'id': 5001, 'teamName': '成都市泡桐树中学百仁分校', 'teamId': 110, 'stuNo': '25040041', 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'serialNo': '3108583025', 'lockNo': '1240740270', 'gradeName': '2025级', 'areaName': '百仁校区', 'stuId': 10845, 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'id': 5002, 'teamName': '成都市泡桐树中学百仁分校', 'arkName': '4402', 'stuNo': '25040144', 'lockNo': '1240740017', 'teamId': 110, 'serialNo': '1618097188', 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'stuName': '李欣益', 'gradeName': '2025级', 'areaName': '百仁校区', 'className': '导师8班', 'stuId': 10846, 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'lockNo': '1240740483', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'id': 5003, 'teamName': '成都市泡桐树中学百仁分校', 'arkName': '4403', 'stuName': '王路宁', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'stuNo': '25040260', 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'areaName': '百仁校区', 'serialNo': '1618191700', 'className': '导师8班', 'bindStu': 1, 'stuId': 10847, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'stuId': 10848, 'binding': 1, 'dongName': '教学楼', 'stuName': '孙歆辰', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'arkName': '4404', 'id': 5004, 'teamId': 110, 'serialNo': '3108567985', 'accredit': 1, 'tierId': 47, 'lockNo': '1240740317', 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'stuNo': '25040235', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'lockNo': '1240740861', 'stuId': 10849, 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'arkName': '4405', 'id': 5005, 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'serialNo': '1619001396', 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'stuName': '王玥熙', 'stuNo': '25040276', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'lockNo': '1240740003', 'stuName': '张文锦', 'stuId': 10850, 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'id': 5006, 'arkName': '4406', 'serialNo': '1620818532', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'stuNo': '25040375', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'stuId': 10851, 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'id': 5007, 'arkName': '4407', 'teamId': 110, 'lockNo': '1240740579', 'stuNo': '25040165', 'accredit': 1, 'tierId': 47, 'dongId': 22, 'stuName': '林琦涵', 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'serialNo': '1618733876', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'stuId': 10852, 'serialNo': '3108582385', 'binding': 1, 'stuName': '李文斌', 'dongName': '教学楼', 'id': 5008, 'regionName': '北区', 'regionId': 59, 'lockNo': '1240740939', 'teamName': '成都市泡桐树中学百仁分校', 'arkName': '4408', 'teamId': 110, 'stuNo': '25040140', 'accredit': 1, 'tierId': 47, 'dongId': 22, 'classId': 496, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'areaName': '百仁校区', 'className': '导师8班', 'bindStu': 1, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'binding': 1, 'dongName': '教学楼', 'id': 5009, 'className': None, 'regionName': '北区', 'regionId': 59, 'classId': None, 'teamId': 110, 'arkName': '4409', 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'lockNo': '1240740034', 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'lockNo': '1240740021', 'binding': 1, 'id': 5010, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'arkName': '4410', 'classId': None, 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'id': 5011, 'binding': 1, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'classId': None, 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'lockNo': '1240740250', 'serialNo': None, 'arkName': '4411', 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'binding': 1, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'id': 5012, 'classId': None, 'teamId': 110, 'lockNo': '1240740458', 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'arkName': '4412', 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'binding': 1, 'dongName': '教学楼', 'className': None, 'id': 5013, 'regionName': '北区', 'regionId': 59, 'classId': None, 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'lockNo': '1240740195', 'serialNo': None, 'arkName': '4413', 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'binding': 1, 'dongName': '教学楼', 'className': None, 'id': 5014, 'regionName': '北区', 'regionId': 59, 'classId': None, 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'arkName': '4414', 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼', 'lockNo': '1240740706'}\n",
      "{'teamName': None, 'lockNo': '1240740761', 'binding': 1, 'dongName': '教学楼', 'className': None, 'id': 5015, 'regionName': '北区', 'regionId': 59, 'classId': None, 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'arkName': '4415', 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'id': 5016, 'binding': 1, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'classId': None, 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'lockNo': '1240740454', 'stuName': None, 'serialNo': None, 'arkName': '4416', 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'id': 5017, 'lockNo': '1240740225', 'binding': 1, 'dongName': '教学楼', 'serialNo': '3108614129', 'regionName': '北区', 'regionId': 59, 'stuName': '胡彬', 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师1班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'gradeId': 129, 'stuId': 10624, 'arkRemark': None, 'gradeName': '2025级', 'arkName': '4417', 'areaName': '百仁校区', 'bindStu': 1, 'classId': 489, 'areaId': 15, 'stuNo': '25040094', 'tierName': '四楼'}\n",
      "{'id': 5018, 'lockNo': '1240740122', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'stuNo': '25040005', 'className': '导师1班', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'gradeId': 129, 'arkRemark': None, 'stuId': 10625, 'gradeName': '2025级', 'serialNo': '1620424724', 'stuName': '毕馨洋', 'arkName': '4418', 'areaName': '百仁校区', 'bindStu': 1, 'classId': 489, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'id': 5019, 'stuName': '唐艺城', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师1班', 'stuNo': '25040246', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'lockNo': '1240740111', 'gradeId': 129, 'serialNo': '0022752988', 'arkRemark': None, 'stuId': 10626, 'gradeName': '2025级', 'areaName': '百仁校区', 'arkName': '4419', 'bindStu': 1, 'classId': 489, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'lockNo': '1240740167', 'serialNo': '1617759268', 'id': 5020, 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'stuName': '何梓豪', 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师1班', 'teamId': 110, 'stuNo': '25040088', 'accredit': 1, 'tierId': 47, 'dongId': 22, 'gradeId': 129, 'arkRemark': None, 'stuId': 10627, 'arkName': '4420', 'gradeName': '2025级', 'areaName': '百仁校区', 'bindStu': 1, 'classId': 489, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'id': 5021, 'binding': 1, 'dongName': '教学楼', 'className': None, 'lockNo': '1240740080', 'regionName': '北区', 'regionId': 59, 'classId': None, 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'arkName': '4421', 'serialNo': None, 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'id': 5022, 'binding': 1, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'arkName': '4422', 'classId': None, 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'lockNo': '1240740214', 'stuName': None, 'serialNo': None, 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'id': 5023, 'binding': 1, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'arkName': '4423', 'classId': None, 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'lockNo': '1240740725', 'tierName': '四楼'}\n",
      "{'teamName': None, 'binding': 1, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'arkName': '4424', 'classId': None, 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'areaName': '百仁校区', 'lockNo': '1240740305', 'id': 5024, 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'binding': 1, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'classId': None, 'arkName': '4425', 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'lockNo': '1240740177', 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'areaName': '百仁校区', 'id': 5025, 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'lockNo': '1240740862', 'binding': 1, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'classId': None, 'arkName': '4426', 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'areaName': '百仁校区', 'id': 5026, 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'binding': 1, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'classId': None, 'arkName': '4427', 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'id': 5027, 'areaName': '百仁校区', 'lockNo': '1240740788', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'teamName': None, 'lockNo': '1240740386', 'binding': 1, 'dongName': '教学楼', 'className': None, 'regionName': '北区', 'regionId': 59, 'classId': None, 'arkName': '4428', 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuNo': None, 'gradeName': None, 'gradeId': None, 'stuId': None, 'arkRemark': None, 'stuName': None, 'serialNo': None, 'areaName': '百仁校区', 'bindStu': 0, 'areaId': 15, 'tierName': '四楼', 'id': 5028}\n",
      "{'binding': 1, 'dongName': '教学楼', 'stuName': '杨紫烔', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师1班', 'arkName': '4429', 'stuNo': '25040341', 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuId': 10628, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'areaName': '百仁校区', 'lockNo': '1240740402', 'bindStu': 1, 'classId': 489, 'serialNo': '3107628577', 'areaId': 15, 'tierName': '四楼', 'id': 5029}\n",
      "{'stuName': '唐欣垚', 'binding': 1, 'dongName': '教学楼', 'arkName': '4430', 'regionName': '北区', 'regionId': 59, 'lockNo': '1240740260', 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师1班', 'stuNo': '25040244', 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuId': 10629, 'gradeId': 129, 'arkRemark': None, 'serialNo': '0022718652', 'gradeName': '2025级', 'areaName': '百仁校区', 'bindStu': 1, 'classId': 489, 'areaId': 15, 'id': 5030, 'tierName': '四楼'}\n",
      "{'stuName': '罗钰涵', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'arkName': '4431', 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师1班', 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuId': 10630, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'serialNo': '1618860740', 'areaName': '百仁校区', 'stuNo': '25040197', 'lockNo': '1240740249', 'bindStu': 1, 'classId': 489, 'id': 5031, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'serialNo': '1620283940', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'arkName': '4432', 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师1班', 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'stuName': '张雨嘉', 'stuId': 10631, 'gradeId': 129, 'arkRemark': None, 'gradeName': '2025级', 'id': 5032, 'stuNo': '25040379', 'areaName': '百仁校区', 'bindStu': 1, 'classId': 489, 'areaId': 15, 'tierName': '四楼', 'lockNo': '1240740605'}\n",
      "{'stuNo': '25040091', 'lockNo': '1240740187', 'stuName': '侯妤霏', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师1班', 'teamId': 110, 'tierId': 47, 'accredit': 0, 'dongId': 22, 'serialNo': '3108598705', 'gradeId': 129, 'arkRemark': None, 'stuId': 10632, 'gradeName': '2025级', 'arkName': '4433', 'id': 5033, 'areaName': '百仁校区', 'bindStu': 1, 'classId': 489, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'serialNo': '1618725668', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师1班', 'teamId': 110, 'stuName': '魏佳禧', 'tierId': 47, 'accredit': 0, 'stuNo': '25040282', 'dongId': 22, 'gradeId': 129, 'arkRemark': None, 'stuId': 10633, 'gradeName': '2025级', 'id': 5034, 'arkName': '4434', 'areaName': '百仁校区', 'lockNo': '1240740325', 'bindStu': 1, 'classId': 489, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'lockNo': '1240740186', 'stuName': '陈芯钰', 'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师1班', 'stuNo': '25040026', 'serialNo': '1620157252', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'dongId': 22, 'gradeId': 129, 'arkRemark': None, 'stuId': 10634, 'id': 5035, 'gradeName': '2025级', 'arkName': '4435', 'areaName': '百仁校区', 'bindStu': 1, 'classId': 489, 'areaId': 15, 'tierName': '四楼'}\n",
      "{'binding': 1, 'dongName': '教学楼', 'regionName': '北区', 'regionId': 59, 'teamName': '成都市泡桐树中学百仁分校', 'className': '导师1班', 'serialNo': '0022832364', 'teamId': 110, 'accredit': 1, 'tierId': 47, 'stuNo': '25040064', 'dongId': 22, 'gradeId': 129, 'stuName': '高雨晨', 'arkRemark': None, 'stuId': 10635, 'gradeName': '2025级', 'arkName': '4436', 'id': 5036, 'areaName': '百仁校区', 'lockNo': '1240740348', 'bindStu': 1, 'classId': 489, 'areaId': 15, 'tierName': '四楼'}\n"
     ]
    }
   ],
   "source": [
    "for item in 待解绑柜子:\n",
    "    print(item)\n",
    "    # if item[\"stuName\"]:\n",
    "    #     print(item[\"arkName\"])"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 12,
   "id": "cac55b38",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "76"
      ]
     },
     "execution_count": 12,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "len(待解绑柜子)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "db21277a",
   "metadata": {},
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "100%|██████████| 76/76 [00:56<00:00,  1.35it/s]\n"
     ]
    }
   ],
   "source": [
    "import tqdm\n",
    "with tqdm.tqdm(total=len(待解绑柜子)) as pbar:\n",
    "    for item in 待解绑柜子:\n",
    "        post(f\"https://band.hxzhxy.cn/lock/stu/remove?lockNo={item['lockNo']}&access_token={token}\",verify=False,proxies={\n",
    "            \"http\": \"http://127.0.0.1:8080\",\n",
    "            \"https\": \"http://127.0.0.1:8080\",\n",
    "        })\n",
    "        pbar.update(1)\n",
    "        time.sleep(0.5)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 13,
   "id": "1b0ecca4",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "{\"success\":true,\"msg\":\"操作成功\",\"code\":0,\"data\":\"授权成功\"}\n"
     ]
    }
   ],
   "source": [
    "for item in 待解绑柜子[:1]:\n",
    "    tem = post(f\"https://band.hxzhxy.cn/lock/stu/remove?lockNo={item['lockNo']}&access_token={token}\").text\n",
    "    print(tem)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "154e6fb2",
   "metadata": {},
   "outputs": [],
   "source": [
    "\"\""
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "base",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.4"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
